当前位置

Magic Linux RC1

主标签

RC1创建基本完成,修正了一些以前的bug和新加了些功能。

修正bug如下:
1. QT faked-bold 补丁去掉,有 fontconfig 来提供粗体。
2. KDE 预热现在基本解决
3. XML 错误依赖解决
4. kde 进行了修正,主要是根据新的 fontconfig 来进行的
5. 升级了apt的系统
6. 升级了 rpm 到 4.3.3
7. 包大大得升级了,哈哈
8. 新 BT 新 QQ

新功能
1. gcc 3.4.3
2. 自带 unicon 的内核 (放在RC2里),新内核直接支持中文,
用户可以在字符界面下直接用 vi 打开中文文档阅读,或用
lynx浏览中文网站,当然也可以水木清华。不过还不是很完美,
unicon自带的cce启动不了,所以原来的cce2k保留。
3. 快,我在两台一样配置的机器上一个装了RC1,一个装了fc3
总体来说RC1快很多。没有比较,留给大家吧。

新bug如下:
1. nfs 关闭出错,因为portmap没有被设成默认服务(战时不知道怎么改)
2. 关机时,有个 message bus 出错,不知道原因。

评论

好期待啊

给个下载地址咩?

恭喜呀~~

beta4用的有的郁闷啊

好多设置都不完善啊

希望RC1会好点

简单地说一下,明天再详细测试一下:
#1. 光驱在普通用户下不能使用(普通用户没有mount权限),另外,自动加载功能也没有了,我觉得不应该去掉;

#2. 多达 14 包处于 broken 状态;

#3. 3189 网卡,没有办法使用;

#4. 启动速度特别慢(从启动 startx 到出现 KDE 登陆界面)。

优点是:

#1. KDE 不用预热了;

#2. 声卡也能正确配置了。

应用命令:rpm -V packagename,例如:[root@MagicLinux ~]# rpm -V docbook-utils

#1. docbook-utils-0.6.14-4mgc.noarch.rpm

[root@MagicLinux ~]# rpm -V docbook-utils
warning: cannot get shared lock on /var/lib/rpm/Packages
Unsatisfied dependencies for docbook-utils-0.6.14-4mgc.noarch: elinks, jadetex, tetex-dvips

#2. gettext-devel-0.14.1-12mgc.i686.rpm

Unsatisfied dependencies for gettext-devel-0.14.1-12mgc.i686: libgcj.so.5

#3. hwdata-0.148-1mgc.noarch.rpm

Unsatisfied dependencies for hwdata-0.148-1mgc.noarch: kudzu

#4. kdesdk-3.3.1-2mgc.i686.rpm

Unsatisfied dependencies for kdesdk-3.3.1-2mgc.i686: libdb-4.2.so

#5. linuxdoc-tools-0.9.20-14mgc.i686.rpm

Unsatisfied dependencies for linuxdoc-tools-0.9.20-14mgc.i686: tetex-latex

#6. LumaQQ-0.3-6mgc.i686.rpm

Unsatisfied dependencies for LumaQQ-0.3-6mgc.i686: libORBit-2.so.0, libbonobo-2.so.0, libbonobo-activation.so.4, libbonoboui-2.so.0, libgconf-2.so.4, libgnome-2.so.0, libgnomecanvas-2.so.0, libgnomeui-2.so.0, libgnomevfs-2.so.0, libjawt.so, liblinc.so.1, libxpcom.so
missing /etc/add.file

#7. openssl-devel-0.9.7a-1.i386.rpm

Unsatisfied dependencies for openssl-devel-0.9.7a-1.i386: openssl = 0.9.7a-1

#8. openssl-perl-0.9.7a-1.i386.rpm

Unsatisfied dependencies for openssl-perl-0.9.7a-1.i386: openssl = 0.9.7a-1

#9. passivetex-1.25-3mgc.noarch.rpm

Unsatisfied dependencies for passivetex-1.25-3mgc.noarch: tetex

#10. scim-1.0.0-1mgc.i686.rpm

Unsatisfied dependencies for scim-1.0.0-1mgc.i686: GConf2 >= 2.0.0, libORBit-2.so.0, libgconf-2.so.4
S.5....T c /etc/scim/global

#11. synaptic-0.53.3-1mgc.i686.rpm

Unsatisfied dependencies for synaptic-0.53.3-1mgc.i686: rpm = 4.3.2

#12. tix-devel-8.1.4-98mgc.i686.rpm

Unsatisfied dependencies for tix-devel-8.1.4-98mgc.i686: tix = 1:8.1.4-98mgc

#13. tix-doc-8.1.4-98mgc.i686.rpm

Unsatisfied dependencies for tix-doc-8.1.4-98mgc.i686: tix = 1:8.1.4-98mgc

#14. xmltex-20020625-3mgc.noarch.rpm

Unsatisfied dependencies for xmltex-20020625-3mgc.noarch: tetex-latex

1、少了gdb包,无法进行跟踪调试
2、autorun无法自动加载光盘,致使光盘的自动插入通告失效(有待进一步测试)

觉得在使用上,B4还不如B3

还没有进行测试呢,放出来了,那不就害死了很多人。

依赖关系搞定了,在 kanker 的 os/rpms 目录下。

是在 RC1 上编译的。